summaryrefslogtreecommitdiffstats
path: root/libraries/vte3
diff options
context:
space:
mode:
author Willy Sudiarto Raharjo2012-12-14 17:55:50 +0100
committer Matteo Bernardini2012-12-15 15:13:36 +0100
commit4db52bc29b9100c4b6e2d52312a78564d7dd1f4b (patch)
treec30368558781bb872a8c02adf3157e3931d3fb12 /libraries/vte3
parent8b47c49be96009f10feb6d11763831d4280b550d (diff)
downloadslackbuilds-4db52bc29b9100c4b6e2d52312a78564d7dd1f4b.tar.gz
libraries/vte3: Added (terminal emulator widget).
Signed-off-by: Matteo Bernardini <ponce@slackbuilds.org>
Diffstat (limited to 'libraries/vte3')
-rw-r--r--libraries/vte3/README7
-rw-r--r--libraries/vte3/fix_meta_alt_keybinding.patch.gzbin0 -> 1246 bytes
-rw-r--r--libraries/vte3/slack-desc19
-rw-r--r--libraries/vte3/vte3.SlackBuild112
-rw-r--r--libraries/vte3/vte3.info10
5 files changed, 148 insertions, 0 deletions
diff --git a/libraries/vte3/README b/libraries/vte3/README
new file mode 100644
index 0000000000..86da295880
--- /dev/null
+++ b/libraries/vte3/README
@@ -0,0 +1,7 @@
+VTE3 is a terminal emulator widget for use with GTK+3. This package
+contains the VTE library and development files and a sample
+implementation (vte).
+
+This package can be installed side by side with vte included
+in default Slackware installation since this package is intended for
+use with GTK+3.
diff --git a/libraries/vte3/fix_meta_alt_keybinding.patch.gz b/libraries/vte3/fix_meta_alt_keybinding.patch.gz
new file mode 100644
index 0000000000..d28d9d0a06
--- /dev/null
+++ b/libraries/vte3/fix_meta_alt_keybinding.patch.gz
Binary files differ
diff --git a/libraries/vte3/slack-desc b/libraries/vte3/slack-desc
new file mode 100644
index 0000000000..f1234b7671
--- /dev/null
+++ b/libraries/vte3/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+vte3: vte3 (terminal emulator widget)
+vte3:
+vte3: VTE3 is a terminal emulator widget for use with GTK+3. This package
+vte3: contains the VTE library and development files and a sample
+vte3: implementation (vte).
+vte3:
+vte3: VTE is used by XFce.
+vte3:
+vte3: homepage: http://www.gnome.org
+vte3:
+vte3:
diff --git a/libraries/vte3/vte3.SlackBuild b/libraries/vte3/vte3.SlackBuild
new file mode 100644
index 0000000000..4182387917
--- /dev/null
+++ b/libraries/vte3/vte3.SlackBuild
@@ -0,0 +1,112 @@
+#!/bin/sh
+
+# Slackware build script for vte3
+
+# Copyright 2012 Willy Sudiarto Raharjo <willysr@slackware-id.org>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+SRCNAM=vte
+PRGNAM=vte3
+VERSION=${VERSION:-0.34.2}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) export ARCH=i486 ;;
+ arm*) export ARCH=arm ;;
+ *) export ARCH=$( uname -m ) ;;
+ esac
+fi
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "s390" ]; then
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+rm -rf $PKG
+mkdir -p $TMP $PKG
+cd $TMP
+rm -rf $SRCNAM-$VERSION
+tar xvf $CWD/$SRCNAM-$VERSION.tar.?z* || exit 1
+cd $SRCNAM-$VERSION
+
+# Make sure ownerships and permissions are sane:
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+# https://bugzilla.gnome.org/show_bug.cgi?id=663779
+zcat $CWD/fix_meta_alt_keybinding.patch.gz | patch -p1 || exit 1
+
+# Configure:
+CFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --disable-static \
+ --enable-introspection \
+ --enable-gnome-pty-helper \
+ --with-gtk=3.0 \
+ --with-default-emulation=xterm \
+ --build=$ARCH-slackware-linux || exit 1
+
+# Build and install:
+make $NUMJOBS || make || exit 1
+make install DESTDIR=$PKG || exit 1
+
+# Strip binaries:
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+
+# Add a documentation directory:
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ AUTHORS ChangeLog COPYING* HACKING MAINTAINERS NEWS README* \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
+
diff --git a/libraries/vte3/vte3.info b/libraries/vte3/vte3.info
new file mode 100644
index 0000000000..f8bb427c4b
--- /dev/null
+++ b/libraries/vte3/vte3.info
@@ -0,0 +1,10 @@
+PRGNAM="vte3"
+VERSION="0.34.2"
+HOMEPAGE="http://www.gnome.org/"
+DOWNLOAD="http://ftp.gnome.org/pub/GNOME/sources/vte/0.34/vte-0.34.2.tar.xz"
+MD5SUM="523eae73bd93d58b9427357774956b22"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Willy Sudiarto Raharjo"
+EMAIL="willysr@slackware-id.org"